<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyFavorGain](./bitburner.singularity.getcompanyfavorgain.md)

## Singularity.getCompanyFavorGain() method

Get company favor gain.

**Signature:**

```typescript
getCompanyFavorGain(companyName: CompanyName | `${CompanyName}`): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | [CompanyName](./bitburner.companyname.md) \| \`${[CompanyName](./bitburner.companyname.md)<!-- -->}\` | Name of the company. |

**Returns:**

number

Amount of favor you gain at the specified company when you reset by installing Augmentations.

## Remarks

RAM cost: 0.75 GB \* 16/4/1

This function will return the amount of favor you will gain for the specified company when you reset by installing Augmentations.

